=== share/examples/aunit/test_fixture/Makefile ===
all:
	gprbuild -p -Pharness
clean:
	-gprclean -Pharness
	-gprclean -Ptested_lib/testlib
	rm -rf obj tested_lib/obj
