=== debian/control ===
Source: libaunit
Section: libdevel
Priority: extra
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.6,
 dh-ada-library
Standards-Version: 3.9.5
Homepage: http://libre.adacore.com/libre/
Vcs-Mtn: www.ada-france.org org.debian.libaunit
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaunit
XS-Testsuite: autopkgtest

Package: libaunit2-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Conflicts: libaunit-dev, libaunit1-dev
Replaces: libaunit-dev, libaunit1-dev
Description: AUnit, a unit testing framework for Ada: development
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 Install this package if you want to write programs that use AUnit.

Package: libaunit-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: AUnit, a unit testing framework for Ada: debug symbols
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 This package contains the runtime debug symbols.

Package: libaunit3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AUnit, a unit testing framework for Ada: shared library
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 This package contains the runtime shared library.
