=== debian/tests/control ===
Tests: link-with-shared upstream-tests
