=== debian/watch ===
# Upstream does not provide any webpage with a tarball list. The
# copyright file contains an URL than can be checked manually.
