## libaunit 3.7.1

=== debian/changelog ===
libaunit (3.7.1-2) unstable; urgency=medium

  * For reproducible PDF timestamps, set clock to the date of this entry.
    Touch generated sources for deterministic ALI files and tar headers.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 May 2015 16:49:18 +0200

libaunit (3.7.1-1) unstable; urgency=medium

  * New upstream release, built with gnat-4.9 (closes:  #748998, #755078).
    Per Ada policy, rename lib (ABI) and -dev (sources) packages.
  * Because the generated doc is big, use Files-Excluded.
    Because it and examples are -indep, add a -doc package.
  * copyright: update to GPL-3+, repackage without generated files.
  * rules: run-tests target is obsoleted by sadt from devscripts.
    Now using upstream build system with a few patches.
  * doc-base registration. Install all formats and examples.
  * examples: deduplicate, link from doc, run as tests.
    Some of them and upstream-tests freeze, commented.
  * Fix dh_compress override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 18 Aug 2014 16:39:25 +0200
