=== debian/control ===
--- 
+++ 
@@ -3,19 +3,25 @@
 Priority: extra
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
- gnat, gnat-4.6,
+ gnat, gnat-4.9,
  dh-ada-library
-Standards-Version: 3.9.5
+Build-Depends-Indep:
+# To deduplicate examples in rules.
+ rdfind, symlinks,
+# Called in rules for deterministic PDF timestamps.
+ faketime,
+ texinfo, texlive-latex-base
+Standards-Version: 3.9.6
 Homepage: http://libre.adacore.com/libre/
 Vcs-Mtn: www.ada-france.org org.debian.libaunit
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaunit
 XS-Testsuite: autopkgtest
 
-Package: libaunit2-dev
+Package: libaunit3.7.1-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
-Conflicts: libaunit-dev, libaunit1-dev
-Replaces: libaunit-dev, libaunit1-dev
+Recommends: libaunit-doc (= ${source:Version})
+Suggests: libaunit-dbg (= ${source:Version})
 Description: AUnit, a unit testing framework for Ada: development
  AUnit is a set of Ada packages based on the xUnit family of unit test
  frameworks. It's intended as a developer's tool to facilitate
@@ -47,7 +53,7 @@
  .
  This package contains the runtime debug symbols.
 
-Package: libaunit3
+Package: libaunit3.7.1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -64,3 +70,20 @@
  given purpose.
  .
  This package contains the runtime shared library.
+
+Package: libaunit-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: gnat
+Description: AUnit, a unit testing framework for Ada: documentation
+ AUnit is a set of Ada packages based on the xUnit family of unit test
+ frameworks. It's intended as a developer's tool to facilitate
+ confident writing and evolution of Ada software. It is purposely
+ lightweight, as one of its main goals is to make it easy to develop
+ and run unit tests, rather than to generate artifacts for process
+ management. The framework supports easy composition of sets of unit
+ tests to provide flexibility in determining what tests to run for a
+ given purpose.
+ .
+ This package contains documentation.
