=== debian/tests/control ===
Tests: link-with-shared examples
# upstream-tests
