=== debian/changelog ===
libaunit (3.7.2-1) unstable; urgency=medium

  * New upstream release (GPL-2015, betwwen 3.7.1 and 3.8.0).
    Rename lib (SO=3.7.2) and -dev (ALI=3.7.2) packages due to Ada policy.
    Build with gnat-6, gprbuild and all hardening options.
  * watch, README.source: use Adacore redirector.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Standards-Version: 3.9.8 (no changes), drop generated XS-Testsuite.
  * rules: avoid timezone dependency when possible.
  * patches/path_doc_gps_plugin.diff: typo in package name.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 08:32:42 +0200
