=== debian/control ===
--- 
+++ 
@@ -3,25 +3,26 @@
 Priority: extra
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
- gnat, gnat-4.9,
- dh-ada-library
+ gnat, gnat-6,
+# gprbuild compatible with gnat-6
+ gprbuild (>= 2015-2),
+# dh-ada-library knowing that -dbg packages are obsolete.
+ dh-ada-library (>= 6.7)
 Build-Depends-Indep:
 # To deduplicate examples in rules.
  rdfind, symlinks,
 # Called in rules for deterministic PDF timestamps.
  faketime,
  texinfo, texlive-latex-base
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://libre.adacore.com/libre/
 Vcs-Mtn: www.ada-france.org org.debian.libaunit
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaunit
-XS-Testsuite: autopkgtest
 
-Package: libaunit3.7.1-dev
+Package: libaunit3.7.2-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Recommends: libaunit-doc (= ${source:Version})
-Suggests: libaunit-dbg (= ${source:Version})
 Description: AUnit, a unit testing framework for Ada: development
  AUnit is a set of Ada packages based on the xUnit family of unit test
  frameworks. It's intended as a developer's tool to facilitate
@@ -34,26 +35,7 @@
  .
  Install this package if you want to write programs that use AUnit.
 
-Package: libaunit-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${ada:Depends}
-Recommends: ${ada:Recommends}
-Suggests: ${ada:Suggests}
-Description: AUnit, a unit testing framework for Ada: debug symbols
- AUnit is a set of Ada packages based on the xUnit family of unit test
- frameworks. It's intended as a developer's tool to facilitate
- confident writing and evolution of Ada software. It is purposely
- lightweight, as one of its main goals is to make it easy to develop
- and run unit tests, rather than to generate artifacts for process
- management. The framework supports easy composition of sets of unit
- tests to provide flexibility in determining what tests to run for a
- given purpose.
- .
- This package contains the runtime debug symbols.
-
-Package: libaunit3.7.1
+Package: libaunit3.7.2
 Section: libs
 Architecture: any
 Multi-Arch: same
