## libaunit 17.2017

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,8 @@
 	$(GPRINSTALL) $(GPROPTS) -p -f --prefix=$(INSTALL) \
 		--no-build-var --project-subdir=lib/gnat lib/gnat/aunit.gpr
 
+.PHONY: doc
 doc:
-	${MAKE} -C docs
+	${MAKE} -C doc
 
 RM	= rm
