=== debian/changelog ===
libaunit (17.2017-2) unstable; urgency=medium

  * Upload to unstable. Rename packages with new shared object version
    (runtime) and .ali version (-dev) as described in Ada policy.
  * Drop explicit rules targets confusing dh.
  * Drop Recommends: removed -doc package.
  * Standards-Version: 4.0.1. Priority: optional.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 16:54:05 +0200

libaunit (17.2017-1) experimental; urgency=medium

  * New upstream release built with gnat-7. No ALI/SO bump in experimental.
    Drop -doc package, documentation is under GFDL with Front-Cover Texts.
  * Debhelper 10.
  * Standards-Version 4.0.0. HTTPS copyright format URL.
  * watch: fix package name, use version 4 syntax.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 06 Jul 2017 16:46:20 +0200
