=== debian/control ===
Source: libaunit
Section: libdevel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
 gnat, gnat-7,
# This line is parsed by debian/rules.
# gprbuild compatible with gnat-6
 gprbuild (>= 2015-2),
# dh-ada-library knowing that -dbg packages are obsolete.
 dh-ada-library (>= 6.7),
# To deduplicate examples in rules.
 rdfind, symlinks
Standards-Version: 4.0.1
Homepage: http://libre.adacore.com/libre/
Vcs-Mtn: www.ada-france.org org.debian.libaunit
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaunit

Package: libaunit17.2017-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: AUnit, a unit testing framework for Ada: development
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 Install this package if you want to write programs that use AUnit.
 Debian cannot redistribute the documentation for license reasons.
 It is available at
 http://docs.adacore.com/aunit-docs/html/aunit_cb/aunit_cb.html.

Package: libaunit17.2017
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AUnit, a unit testing framework for Ada: shared library
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 This package contains the runtime shared library.
