=== debian/watch ===
version=4

opts=\
  repack,\
  compression=xz,\
  filenamemangle=s/^.*download=//,\
  dversionmangle=s/^.*\.// \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/aunit \
.*aunit-gpl@ANY_VERSION@-src@ARCHIVE_EXT@

# Major and minor versions must be set manually (see README.source),
# but at least trigger an alarm for new releases.
