=== test/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 RTS =
 TARGET =
+PROJECT_PATH_ARG =
 
 ifeq ($(RTS),)
    RTS = full
@@ -39,10 +40,6 @@
    RUN=./support/run-ppc-elf
 endif
 
-ifneq ($(findstring aunit.gpr,$(wildcard ../lib/gnat/*.gpr)),)
-   PROJECT_PATH_ARG = GPR_PROJECT_PATH=../lib/gnat
-endif
-
 build:
 	$(PROJECT_PATH_ARG) $(GPRBUILD) -p -Paunit_tests $(CONF_ARGS) $(LARGS)
