=== debian/changelog ===
libaunit (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:51 +0200

libaunit (18-1) experimental; urgency=medium

  * New upstream release. No package renaming in experimental.
  * Generalize patch for shared library and build flags.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 9 Jun 2018 14:54:38 +0200

libaunit (17.2017-3) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev packages per Debian Ada policy.
  * Remove watch file. Explain why in README.source.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Standards-Version 4.1.4.
  * Update Homepage and Vcs-Mtn.
  * Stop repeating upstream URL in copyright file.
  * Let run time test produce more debug information.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 13:34:50 +0200
