=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libdevel
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
- gnat, gnat-7,
+Build-Depends: debhelper (>= 11),
+ gnat, gnat-8,
 # This line is parsed by debian/rules.
 # gprbuild compatible with gnat-6
  gprbuild (>= 2015-2),
@@ -11,12 +11,12 @@
  dh-ada-library (>= 6.7),
 # To deduplicate examples in rules.
  rdfind, symlinks
-Standards-Version: 4.0.1
-Homepage: http://libre.adacore.com/libre/
-Vcs-Mtn: www.ada-france.org org.debian.libaunit
+Standards-Version: 4.1.4
+Homepage: https://www.adacore.com/community
+Vcs-Mtn: mtn://www.ada-france.org?org.debian.libaunit
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaunit
 
-Package: libaunit17.2017-dev
+Package: libaunit18-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: AUnit, a unit testing framework for Ada: development
@@ -34,7 +34,7 @@
  It is available at
  http://docs.adacore.com/aunit-docs/html/aunit_cb/aunit_cb.html.
 
-Package: libaunit17.2017
+Package: libaunit18
 Section: libs
 Architecture: any
 Multi-Arch: same
