## libaunit 19

=== examples/test_caller/Makefile ===
all:
	gprbuild -p -Pharness/harness
clean:
	gprclean -Pharness/harness
	gprclean -Ptested_lib/testlib
