=== debian/changelog ===
libaunit (19-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Let rules only include the needed dpkg-dev snippet.
  * Drop redundant branch from Vcs-Git.
  * Standards-Versions: 4.5.0.
  * Wrap and sort dependencies. Use Debhelper 12 dh-sequence syntax.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 11:22:20 +0100

libaunit (19-2) experimental; urgency=medium

  * Build-Depend: gnat-9. Closes: #939621. Then 19-dev Depends: gnat-9 as
    18-dev on gnat-8. Each compiler conflicts with previous versions of
    itself exactly in order to prevent coinstallations of -dev versions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Sep 2019 01:45:07 +0200

libaunit (19-1) experimental; urgency=medium

  * New upstream release, built in experimental with gnat-9.
    Rename library and -dev package accordingly.
  * Move VCS to salsa.debian.org.
  * Debhelper 12. Examples are not compressed anymore.
  * Standards-Version: 4.4.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 Sep 2019 21:41:19 +0200
