=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: libdevel
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-sequence-ada-library,
+ gnat, gnat-9,
 # This line is parsed by debian/rules.
 # gprbuild compatible with gnat-6
  gprbuild (>= 2015-2),
-# dh-ada-library knowing that -dbg packages are obsolete.
- dh-ada-library (>= 6.7),
 # To deduplicate examples in rules.
- rdfind, symlinks
-Standards-Version: 4.1.4
+ rdfind,
+ symlinks,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.adacore.com/community
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.libaunit
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libaunit
+Vcs-Browser: https://salsa.debian.org/debian/libaunit
+Vcs-Git: https://salsa.debian.org/debian/libaunit.git
 
-Package: libaunit18-dev
+Package: libaunit19-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: AUnit, a unit testing framework for Ada: development
@@ -34,7 +36,7 @@
  It is available at
  http://docs.adacore.com/aunit-docs/html/aunit_cb/aunit_cb.html.
 
-Package: libaunit18
+Package: libaunit19
 Section: libs
 Architecture: any
 Multi-Arch: same
