=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,14 @@
   ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-include /usr/share/dpkg/default.mk
+DEB_ADAFLAGS_MAINT_APPEND := -gnatfno -gnatwa -gnatVa
+DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
-ADAFLAGS += -gnatfno -gnatwa -gnatVa
 
 %:
-	dh $@ --with ada-library
+	dh $@
 
 ######################################################################
 # Ignore upstream Makefile/configure.
@@ -46,10 +48,3 @@
 	rdfind -outputname /dev/null -makesymlinks true $(INSTALLED_EXAMPLES)
   # symlinks to make them relative (only if -indep build).
 	symlinks -r -s -c $(INSTALLED_EXAMPLES)
-
-######################################################################
-.PHONY: override_dh_compress
-override_dh_compress:
-	dh_compress --package=$(DEV_PKG) --exclude=usr/share/doc/$(DEV_PKG)/examples/
-# Check calculator/tests/stack-test.adb.gz
-	dh_compress --remaining-packages
